Mono.Security [00 24 00 00 04 80 00 00 94 00 00 00 06 02 00 00 00 24 00 00 52 53 41 31 00 04 00 00 01 00 01 00 79 15 99 77 D2 D0 3A 8E 6B EA 7A 2E 74 E8 D1 AF CC 93 E8 85 19 74 95 2B B4 80 A1 2C 91 34 47 4D 04 06 24 47 C3 7E 0E 68 C0 80 53 6F CF 3C 3F BE 2F F9 C9 79 CE 99 84 75 E5 06 E8 CE 82 DD 5B 0F 35 0D C1 0E 93 BF 2E EE CF 87 4B 24 77 0C 50 81 DB EA 74 47 FD DA FA 27 7B 22 DE 47 D6 FF EA 44 96 74 A4 F9 FC CF 84 D1 50 69 08 93 80 28 4D BD D3 5F 46 CD FF 12 A1 BD 78 E4 EF 00 65 D0 16 DF] 1.0.5000.0 2.0.0.0 Gtk# is thread aware, but not thread safe; See the Gtk# Thread Programming for details. Mono.Security.Cryptography.DiffieHellman Implements the Diffie-Hellman algorithm. To be added
- Constructor
  Initializes a new DiffieHellmanManaged instance.
  The default length of the shared secret is 1024 bits.
  1.0.5000.0
  2.0.0.0
- Constructor
  The P parameter of the Diffie-Hellman algorithm. This is a public parameter.
  The G parameter of the Diffie-Hellman algorithm. This is a public parameter.
  The X parameter of the Diffie-Hellman algorithm. This is a private parameter. If this parameters is a null reference (Nothing in Visual Basic), a secret value of the default size will be generated.
  Initializes a new DiffieHellmanManaged instance.

  An is thrown if or is a null reference (Nothing in Visual Basic).

  A is thrown if or is invalid.

  1.0.5000.0
  2.0.0.0
- Constructor
  The P parameter of the Diffie-Hellman algorithm. This is a public parameter.
  The G parameter of the Diffie-Hellman algorithm. This is a public parameter.
  The length, in bits, of the private value. If 0 is specified, the default value will be used.
  The P parameter of the Diffie-Hellman algorithm. This is a public parameter.

  An is thrown if or is a null reference (Nothing in Visual Basic).

  An if is invalid.

  A is thrown if or is invalid.

  1.0.5000.0
  2.0.0.0
- Constructor
  The length, in bits, of the public P parameter.
  The length, in bits, of the secret value X. This parameter can be set to 0 to use the default size.
  One of the values.
  Initializes a new DiffieHellmanManaged instance.

  The larger the bit length, the more secure the algorithm is. The default is 1024 bits. The minimum bit length is 128 bits.

  An is thrown if the specified bit length is invalid.

  1.0.5000.0
  2.0.0.0
- Method
  System.Byte[] Creates the key exchange data. The key exchange data to be sent to the intended recipient. To be added 1.0.5000.0 2.0.0.0
- Method
  System.Byte[] `` The key exchange data within which the shared key is hidden. Extracts secret information from the key exchange data. The shared key derived from the key exchange data. To be added 1.0.5000.0 2.0.0.0
- Method
  System.Void `` a To be added To be added 1.0.5000.0 2.0.0.0
- Method
  Mono.Security.Cryptography.DHParameters `` True to include private parameters; otherwise, false. Exports the DH parameters. The parameters for DiffieHellman. To be added 1.0.5000.0 2.0.0.0
- Method
  System.Void To be added To be added 1.0.5000.0 2.0.0.0
- Method
  System.Void `` The parameters for DiffieHellman. Imports the specified DH parameters. A is thrown if or is a null reference (Nothing in Visual Basic) -or- is not a prime number. 1.0.5000.0 2.0.0.0
- Property
  System.String Gets the name of the key exchange algorithm. The name of the key exchange algorithm. The PKCS#3 OID for DH key exchange is 1.2.840.113549.1.3 1.0.5000.0 2.0.0.0
- Property
  System.String Gets the name of the signature algorithm. The name of the signature algorithm. Signature isn't applicable to DH, so a null reference is returned. 1.0.5000.0 2.0.0.0